Bug 24810 - French SQL files for "news" contain "Welcome into Koha 3!"
Summary: French SQL files for "news" contain "Welcome into Koha 3!"
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Ava
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-03-05 11:59 UTC by Jonathan Druart
Modified: 2021-02-11 21:54 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This removes the Koha version number from the sample news items for the French language installer files (fr-FR and fr-CA).
Version(s) released in:
21.05.00,20.11.03,20.05.09,19.11.15


Attachments
Bug 24810: French SQL files for "news" removed "3" (6.78 KB, patch)
2021-01-19 03:52 UTC, Ava
Details | Diff | Splinter Review
Bug 24810: French SQL files for "news" removed "3" (6.83 KB, patch)
2021-01-19 12:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 24810: French SQL files for "news" removed "3" (6.89 KB, patch)
2021-01-21 19:41 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-03-05 11:59:33 UTC
installer/data/mysql/fr-CA/facultatif/sample_news.sql
installer/data/mysql/fr-FR/2-Optionel/sample_news.sql
Comment 1 Jonathan Druart 2020-03-05 12:00:12 UTC
"Bienvenue dans Koha 3, la toute nouvelle version du système intégré de gestion de bibliothèque (SIGB) open source de référence"

The brand new version of Koha! yeah...
Comment 2 Julien Tremblay McLellan 2020-11-16 14:10:43 UTC
I will look at it this week.
Comment 3 Ava 2021-01-19 03:52:27 UTC
Created attachment 115293 [details] [review]
Bug 24810: French SQL files for "news" removed "3"

TEST PLAN
Follow https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client in order to install french.
When koha is in french, from home go to tools/outils, then
news/Annonces, make sure the two files are there.
Preview them there or view them from the homepage and check that the 3
is gone.
If the files are not there, try importing the two files into your
database.
Comment 4 David Nind 2021-01-19 12:08:05 UTC
Created attachment 115312 [details] [review]
Bug 24810: French SQL files for "news" removed "3"

TEST PLAN
Follow https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client in order to install french.
When koha is in french, from home go to tools/outils, then
news/Annonces, make sure the two files are there.
Preview them there or view them from the homepage and check that the 3
is gone.
If the files are not there, try importing the two files into your
database.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2021-01-19 12:12:49 UTC
Testing notes:
- I compared the text in the patch to see the changes
- I also 
   1) Installed fr-FR and fr-CA languages 
   2) Reset koha-testing-docker so that the web-based installer comes up
   3) Walked through the installation process in fr-FR and installed all samples
   4) Checked that the updated news text was displayed

Tip: I would number the steps in the test plan.

Nice work Ava!
Comment 6 Nick Clemens 2021-01-21 19:41:09 UTC
Created attachment 115609 [details] [review]
Bug 24810: French SQL files for "news" removed "3"

TEST PLAN
Follow https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client in order to install french.
When koha is in french, from home go to tools/outils, then
news/Annonces, make sure the two files are there.
Preview them there or view them from the homepage and check that the 3
is gone.
If the files are not there, try importing the two files into your
database.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Jonathan Druart 2021-01-22 13:53:53 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-01-29 13:28:46 UTC
Pushed to 20.11.x for 20.11.03
Comment 9 Andrew Fuerste-Henry 2021-02-04 20:56:16 UTC
Pushed to 20.05.x for 20.05.09
Comment 10 Victor Grousset/tuxayo 2021-02-08 20:46:28 UTC
Backported: Pushed to 19.11.x branch for 19.11.15